Skip to content

Administration

Administrative operations and account management.

7 endpoints All API groups

Set Automatic Batch Close

POST /api/Administration/SetAutomaticBatchClose

Request to enroll in automatic batch closing and set the time for the daily closing.

NOTE: By default, merchants are enrolled in Automatic Batch Closing with a default automatic batch closing time of 5:00 PM(17:00 military time).

Request body

Schema: AutomaticBatchCloseRequest

Field Type Requirement Description
Time string (date-time) Optional The time of day for the automatic batch closing to
occur.If the merchant was not enrolled in
automatic batch closing, the Automatic Batch Close
option is set to the specified time.If the merchant
already had a closing time specified, no action is
taken.
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/SetAutomaticBatchClose' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Response Response
Example response
{
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Update Automatic Hour To Close Batch

POST /api/Administration/UpdateAutomaticHourToCloseBatch

Request to change the automatic batch closing time. To change the time, the merchant must already be enrolled in automatic batch closing.Otherwise, an error message is returned.

Request body

Schema: AutomaticBatchCloseRequest

Field Type Requirement Description
Time string (date-time) Optional The time of day for the automatic batch closing to
occur.If the merchant was not enrolled in
automatic batch closing, the Automatic Batch Close
option is set to the specified time.If the merchant
already had a closing time specified, no action is
taken.
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/UpdateAutomaticHourToCloseBatch' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Response Response
Example response
{
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Remove Merchant From Automatic Close Batch

POST /api/Administration/RemoveMerchantFromAutomaticCloseBatch

Request to unsubscribe from automatic batch closing.

CAUTION:

Removing the automatic batch closing option requires a merchant to close each batch manually so that payments can be settled and deposited in the merchant account.Failure to close a batch will result in the return of payments to the payer.

Request body

Schema: Request

Field Type Requirement Description
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/RemoveMerchantFromAutomaticCloseBatch' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Response Response
Example response
{
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Get SubAccounts

POST /api/Administration/GetSubAccounts

Request a list of cashiers (subaccounts).

Request body

Schema: Request

Field Type Requirement Description
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/GetSubAccounts' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The SubAccount Response MerchantSubAccountsResponse
Example response
{
  "SubAccounts": [
    {
      "id": 1,
      "mid": 1,
      "user_name": "your-username",
      "user_pass": "<user-pass>",
      "in_black_list": false,
      "is_enable": false,
      "host_user": "<host-user>",
      "host_pass": "<host-pass>",
      "description": "<description>",
      "first_name": "<first-name>",
      "last_name": "<last-name>",
      "picture_link": "<picture-link>",
      "createdOn": "2026-01-31T12:00:00Z",
      "CanSale": false,
      "DataWireId": "<data-wire-id>",
      "DataWireIdBackUp": "<data-wire-id-back-up>"
    }
  ],
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Add User To Processor

POST /api/Administration/AddUserToProcessor

Request body

Schema: UserRequest

Field Type Requirement Description
IndustryCode string — A, AE, AF, E, F, FE, G, GE, H, M, R, RS Optional
Processor string — FirstDataOmaha, FirsDataGift, FirstDataSouth, FirstDataNashville, AmexAuth, AmexPIP, BuyPass, CardNet, Certegy, CertegyEcc, CertegyImgRepo, ChochStone, Echk, Elavon, ElavonDirectnet, ElavonClearingFile, FifthThirdBank510, FifthThirdBank610, Gers, Givex, GlobalPaymentsEast, GlobalPaymentsBigBatch, Heartland, Litle, Loopback, Mercury, MonetraGift, Nova, BankOfAmerica, ChaseTampa, RBSLynk, ChaseSalem, SecureNet, Svs, FirstDataTelecheck, FirstDataTelecheckImgRepo, Valutec, Vital, IntuitImgRepo, RapidConnect Optional
ProcessorExtraFields ProcessorExtraFields Optional
CardTypes string Optional
FraudAutodenyOptions string Optional
ProcessorId integer (int32) Optional
NewUser string Optional
NewPass string Optional
ExtraFielsKeys string Optional
ExtraFielsValues string Optional
ExtraData string Optional
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/AddUserToProcessor' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Added User Response AddUserResponse
Example response
{
  "MonetraResponse": "<monetra-response>",
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Get Credentials

POST /api/Administration/GetCredentials

Request body

Schema: GetCredentialsRequest

Field Type Requirement Description
ProcessorId integer (int32) Optional
ExtraData string Optional
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/GetCredentials' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 OK GetCredentialsResponse
Example response
{
  "UserName": "your-username",
  "Password": "your-password",
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}

Delete User From Processor

POST /api/Administration/DeleteUserFromProcessor

Request body

Schema: DeleteUserRequest

Field Type Requirement Description
ProcessorId integer (int32) Optional
AppKey string Required Application Key which uniquely identifies your application as provided by the Blackstone system.
AppType integer (int32) Required Application Type as provided by the Blackstone system.
mid integer (int32) Required Merchant ID – A number used to identify the merchant.
cid integer (int32) Required Cashier ID – A number used to identify the merchant’s subclient.
UserName string Required User credential of the client on the host.
Password string Required Password of the client on the host.
IpAddress string Optional
Source string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp Optional
AppInfo string Optional
IsTest boolean Optional
curl --request POST \
  --url 'https://services.bmspay.com/api/Administration/DeleteUserFromProcessor' \
  --header 'Content-Type: application/json' \
  --data-binary @- <<'JSON'
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}
JSON
{
  "AppKey": "your-app-key",
  "AppType": 1,
  "mid": 1,
  "cid": 1,
  "UserName": "your-username",
  "Password": "your-password",
  "IsTest": true
}

Responses

Status Description Schema
200 The Deleted User Response DeleteUserResponse
Example response
{
  "ProcessorResponse": "<processor-response>",
  "ResponseCode": 200,
  "Msg": [
    "<msg>"
  ],
  "verbiage": "<verbiage>",
  "displayMessage": "<display-message>"
}